Exclusive numbers
Get a collection of exclusive numbers
OK
Total number of resource.
100Error
GET /api/exclusive_numbers HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"count": 100,
"items": [
{
"id": "NzAwNTUxOTA5NzczMTQ4MTYw",
"number": "text",
"created_at": "2017-07-21T17:32:28Z",
"enabled": true,
"description": "text"
}
]
}Add a new exclusive number
The telephone number.
Enable the exclusive number or not.
trueExclusive number's description.
OK
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwError
POST /api/exclusive_numbers HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53
{
"number": "text",
"enabled": true,
"description": "text"
}{
"id": "NzAwNTUxOTA5NzczMTQ4MTYw"
}Get details of a exclusive number
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwOK
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwThe telephone number.
The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
2017-07-21T17:32:28ZEnable the exclusive number or not.
trueExclusive number's description.
Error
GET /api/exclusive_numbers/{id} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "NzAwNTUxOTA5NzczMTQ4MTYw",
"number": "text",
"created_at": "2017-07-21T17:32:28Z",
"enabled": true,
"description": "text"
}Update properties of a exclusive number.
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwThe telephone number.
Enable the exclusive number or not.
trueExclusive number's description.
OK
No content
Error
POST /api/exclusive_numbers/{id} HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53
{
"number": "text",
"enabled": true,
"description": "text"
}No content
Was this helpful?